SFML 2.6.2

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::KeyEvent Struct Reference

Keyboard event parameters (KeyPressed, KeyReleased) More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes

Keyboard::Key | code
| Code of the key that has been pressed.
Keyboard::Scancode | scancode
| Physical code of the key that has been pressed.
bool | alt
| Is the Alt key pressed?
bool | control
| Is the Control key pressed?
bool | shift
| Is the Shift key pressed?
bool | system
| Is the System key pressed?

## Detailed Description

Keyboard event parameters (KeyPressed, KeyReleased)

Definition at line 62 of file Event.hpp.

## Member Data Documentation

## ◆ alt

bool sf::Event::KeyEvent::alt

Is the Alt key pressed?

Definition at line 66 of file Event.hpp.

## ◆ code

Keyboard::Key sf::Event::KeyEvent::code

Code of the key that has been pressed.

Definition at line 64 of file Event.hpp.

## ◆ control

bool sf::Event::KeyEvent::control

Is the Control key pressed?

Definition at line 67 of file Event.hpp.

## ◆ scancode

Keyboard::Scancode sf::Event::KeyEvent::scancode

Physical code of the key that has been pressed.

Definition at line 65 of file Event.hpp.

## ◆ shift

bool sf::Event::KeyEvent::shift

Is the Shift key pressed?

Definition at line 68 of file Event.hpp.

## ◆ system

bool sf::Event::KeyEvent::system

Is the System key pressed?

Definition at line 69 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp